Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152833 - w3m browser also crashes on some malformed HTML
Summary: w3m browser also crashes on some malformed HTML
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: w3m
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard: LEGACY, DEFER
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 14:06 UTC by Michal Jaegermann
Modified: 2007-07-26 11:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-26 11:37:23 UTC


Attachments (Terms of Use)
links_die1.html (deleted)
2007-04-22 16:52 UTC, Andy Colman
no flags Details

Description David Lawrence 2005-03-30 23:29:02 UTC
Problems described in 
http://www.securityfocus.com/archive/1/378632
affect w3m browser too.  On 'gallery' samples from
http://lcamtuf.coredump.cx/soft/mangleme.tgz
w3m responds with  (there is a pause between the first and the second message)

Out of Memory!  Returning NIL!
Segmentation fault

for 'links_die1.html'. The reaction is the same for w3m-0.3.1-4.7x.1
from RH7.3 and w3m-0.5.1-4 from FC3test so likely this will show up 
in-between too. :-)  Other samples from the same source do not cause
troubles but who knows what else will.



------- Additional Comments From michal@harddata.com 2004-10-30 04:39:55 ----

Later versions of w3m may have _more_ troubles of that sort.  RH bugzilla ref:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=137630
See also
https://bugzilla.mozilla.org/show_bug.cgi?id=264944
for tracking these issues in general.



------- Additional Comments From pekkas@netcore.fi 2005-02-15 06:57:55 ----

FWIW, Red Hat has not released updates on this.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:29 -------

This bug previously known as bug 2216 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2216
Originally filed under the Fedora Legacy product and General component.

Unknown priority P3. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity minor. Setting to default severity "normal".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 Pekka Savola 2005-11-16 13:20:33 UTC
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.

Comment 2 Andy Colman 2007-04-22 16:52:49 UTC
Created attachment 153254 [details]
links_die1.html


Note You need to log in before you can comment on or make changes to this bug.